POST
/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/auto-generated/opt-in2609170000Activate auto-generated option (option product unit)
# 01
Summary
Activate auto-generated option (option product unit)
# 02
Details
Available buyer market: Korean
This is an API that allows you to activate the automatically generated option for each individual option product. If the seller activates the auto-generation option for the registered product, an option that meets the conditions will be automatically created. The information required is the option ID.
Path
POST/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/auto-generated/opt-in
Example endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/auto-generated/opt-inURL API Name
UPDATE_PRODUCT_UP_BUNDLING_OPT_IN
# 03
Path parameters
| Name | Type | Description |
|---|---|---|
| vendorItemId* | number | Option ID This is a unique number assigned to the vendor item. |
# 04
Response body
Response message
| Name | Type | Description |
|---|---|---|
| code | string | Result code example) SUCCESS, PROCESSING, FAILED |
| message | string | Result message if status is FAILED, message would be the root cause of failed update request example) System exception |
| data | string | result example) success |
Response Example
{
"code": "SUCCESS",
"message": "",
"data": "success"
}# 05
Error codes
| HTTP | Code | Message |
|---|---|---|
| -- | ||